Atualizar configurações de merchant
curl --request PATCH \
--url https://api.malga.io/v1/merchants/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>' \
--data '
{
"mcc": "<string>",
"name": "<string>",
"merchantName": "<string>",
"merchantUrl": "<string>"
}
'import requests
url = "https://api.malga.io/v1/merchants/{id}"
payload = {
"mcc": "<string>",
"name": "<string>",
"merchantName": "<string>",
"merchantUrl": "<string>"
}
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Client-Id': '<api-key>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mcc: '<string>',
name: '<string>',
merchantName: '<string>',
merchantUrl: '<string>'
})
};
fetch('https://api.malga.io/v1/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Merchants
Atualizar configurações de merchant
PATCH
/
v1
/
merchants
/
{id}
Atualizar configurações de merchant
Path Parameters
id do merchant
Body
application/json
código de segmento do lojista no adquirente formado por quatro números, solicite ao seu provedor caso não saiba qual o seu Merchant Category Code.
Nome do merchant que será exibido na Dashboard (Subcontas, Fluxos Inteligentes, etc.)
Nome do merchant que será exibido em caso de desafio no 3DS. Caso esse merchant não use 3DS, esse campo é opcional.
URL do merchant que serve como informativo durante a autenticação 3DS. Caso o merchant não use 3DS, esse campo é opcional.
Response
200 - undefined
Was this page helpful?
⌘I